Pular para o conteúdo principal
POST
/
api
/
v2
/
alerts
Criar alerta
curl --request POST \
  --url https://api.hyperdx.io/api/v2/alerts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel": {
    "type": "webhook",
    "webhookId": "65f5e4a3b9e77c001a789012"
  },
  "dashboardId": "65f5e4a3b9e77c001a567890",
  "interval": "1h",
  "message": "Error rate has exceeded 100 in the last hour",
  "name": "Error Spike Alert",
  "source": "tile",
  "threshold": 100,
  "thresholdType": "above",
  "tileId": "65f5e4a3b9e77c001a901234"
}
'
{
  "data": {
    "channel": {
      "type": "webhook",
      "webhookId": "65f5e4a3b9e77c001a789012"
    },
    "createdAt": "2023-01-01T00:00:00.000Z",
    "dashboard": "65f5e4a3b9e77c001a567890",
    "groupBy": "<string>",
    "id": "65f5e4a3b9e77c001a123456",
    "interval": "15m",
    "message": "Error rate exceeds threshold",
    "name": "High Error Rate",
    "savedSearch": "<string>",
    "silenced": true,
    "source": "tile",
    "state": "inactive",
    "team": "65f5e4a3b9e77c001a345678",
    "threshold": 100,
    "thresholdType": "above",
    "tileId": "65f5e4a3b9e77c001a901234",
    "updatedAt": "2023-01-01T00:00:00.000Z"
  }
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
channel
object
obrigatório
interval
string
obrigatório
Exemplo:

"1h"

source
enum<string>
obrigatório
Opções disponíveis:
tile,
search
Exemplo:

"tile"

threshold
number
obrigatório
Exemplo:

100

thresholdType
enum<string>
obrigatório
Opções disponíveis:
above,
below
Exemplo:

"above"

dashboardId
string
Exemplo:

"65f5e4a3b9e77c001a567890"

message
string
Exemplo:

"Test Alert Message"

name
string
Exemplo:

"Test Alert"

tileId
string
Exemplo:

"65f5e4a3b9e77c001a901234"

Resposta

Alerta criado com sucesso

data
object
Última modificação em 10 de junho de 2026